Browse Source

kwallet-pam: wrap pam_kwallet_init

This needs a compatible env as kwalletd daemon. Need to wrap it to
correct this.

Fixes #68316
openssl
Matthew Bauer 3 years ago
parent
commit
a296cc254f
  1. 4
      pkgs/desktops/plasma-5/kwallet-pam.nix

4
pkgs/desktops/plasma-5/kwallet-pam.nix

@ -7,4 +7,8 @@ mkDerivation {
postPatch = ''
sed -i pam_kwallet_init -e "s|socat|${lib.getBin socat}/bin/socat|"
'';
postFixup = ''
wrapQtApp $out/libexec/pam_kwallet_init
'';
dontWrapQtApps = true;
}

Loading…
Cancel
Save